Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.accessibility
Interface AccessibleStreamable

    public interface AccessibleStreamable

The `AccessibleStreamable` interface should be implemented by the `AccessibleContext` of any component that presents the raw stream behind a component on the display screen. Examples of such components are HTML, bitmap images and MathML. An object that implements `AccessibleStreamable` provides two things: a list of MIME types supported by the object and a streaming interface for each MIME type to get the data.

Since:
  1.5
See Also:
  `AccessibleContext`

Method Summary
`DataFlavor[]` | `getMimeTypes()` Returns an array of DataFlavor objects for the MIME types this object supports.
`InputStream` | `getStream(DataFlavor flavor)` Returns an InputStream for a DataFlavor

Method Detail

### getMimeTypes

    DataFlavor[] getMimeTypes()

  Returns an array of DataFlavor objects for the MIME types this object supports.

  Returns:
    an array of DataFlavor objects for the MIME types this object supports.

### getStream

    InputStream getStream(DataFlavor flavor)

  Returns an InputStream for a DataFlavor

  Parameters:
    `flavor` - the DataFlavor
  Returns:
    an ImputStream if an ImputStream for this DataFlavor exists. Otherwise, null is returned.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.